: Class WildcardPattern

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jregex
Class WildcardPattern

    java.lang.Object
      |
      +--jregex.Pattern
            |
            +--jregex.WildcardPattern

All Implemented Interfaces:
  REFlags, java.io.Serializable

public class WildcardPattern
extends Pattern

A Pattern subclass that accepts a simplified pattern syntax:

- `?`- matches any single character;``
- `*`- matches any number of any characters;``
- all the rest - matches itself. Each wildcard takes a capturing group withing a pattern.

  See Also:
    `Pattern`, Serialized Form

  Field Summary
  `static java.lang.String` | `ANY_CHAR`
  `static java.lang.String` | `WORD_CHAR`

  Fields inherited from interface jregex.REFlags
  `DEFAULT, DOTALL, IGNORE_CASE, IGNORE_SPACES, MULTILINE, UNICODE, XML_SCHEMA`

  Constructor Summary
  `protected` | `WildcardPattern()`
  `` | `WildcardPattern(java.lang.String wc)`
  `` | `WildcardPattern(java.lang.String wc, boolean icase)`
  `` | `WildcardPattern(java.lang.String wc, int flags)`
  `` | `WildcardPattern(java.lang.String wc, java.lang.String wcClass, int flags)`

  Method Summary
  `protected void` | `compile(java.lang.String wc, java.lang.String wcClass, java.lang.String specials, int flags)`
  `protected static java.lang.String` | `convertSpecials(java.lang.String s, java.lang.String wcClass, java.lang.String specials)`
  `java.lang.String` | `toString()`

  Methods inherited from class jregex.Pattern
  `compile, groupCount, groupId, matcher, matcher, matcher, matcher, matcher, matcher, matches, replacer, replacer, startsWith, tokenizer, tokenizer, tokenizer, toString_d`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  Field Detail

  ### WORD_CHAR

      public static final java.lang.String WORD_CHAR

  ### ANY_CHAR

      public static final java.lang.String ANY_CHAR

  Constructor Detail

  ### WildcardPattern

      public WildcardPattern(java.lang.String wc)

    Parameters:
      `wc` - The pattern

  ### WildcardPattern

      public WildcardPattern(java.lang.String wc,
                             boolean icase)

    Parameters:
      `wc` - The pattern
      `icase` - If true, the pattern is case-insensitive.

  ### WildcardPattern

      public WildcardPattern(java.lang.String wc,
                             int flags)

    Parameters:
      `wc` - The pattern
      `flags` - The bitwise OR of any of REFlags.* . The only meaningful flags are REFlags.IGNORE_CASE and REFlags.DOTALL (the latter allows the wildcards to match the EOL characters).

  ### WildcardPattern

      public WildcardPattern(java.lang.String wc,
                             java.lang.String wcClass,
                             int flags)

    Parameters:
      `wc` - The pattern
      `wcClass` - The wildcard class, could be any of WORD_CHAR or ANY_CHAR
      `flags` - The bitwise OR of any of REFlags.* . The only meaningful flags are REFlags.IGNORE_CASE and REFlags.DOTALL (the latter allows the wildcards to match the EOL characters).

  ### WildcardPattern

      protected WildcardPattern()

  Method Detail

  ### convertSpecials

      protected static java.lang.String convertSpecials(java.lang.String s,
                                                        java.lang.String wcClass,
                                                        java.lang.String specials)

  ### compile

      protected void compile(java.lang.String wc,
                             java.lang.String wcClass,
                             java.lang.String specials,
                             int flags)

  ### toString

      public java.lang.String toString()

    Overrides:
      `toString` in class `Pattern`

  Overview | Package | Class | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD